cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/invoices/INV-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files/6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.invoices.delete_invoice_note_file(
"INV-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.invoices.deleteInvoiceNoteFile(
'INV-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->invoices->deleteInvoiceNoteFile(
'INV-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.invoices().deleteInvoiceNoteFile(
"INV-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Invoices.DeleteInvoiceNoteFileAsync(
"INV-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.invoices.deleteInvoiceNoteFile(
'INV-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Invoices().DeleteInvoiceNoteFile(context.Background(), "INV-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Invoices
Delete an invoice note file
Deletes one file from a note on an invoice.
DELETE
/
invoices
/
{invoice_id}
/
notes
/
{note_id}
/
files
/
{file_id}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/invoices/INV-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files/6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.invoices.delete_invoice_note_file(
"INV-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.invoices.deleteInvoiceNoteFile(
'INV-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->invoices->deleteInvoiceNoteFile(
'INV-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.invoices().deleteInvoiceNoteFile(
"INV-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Invoices.DeleteInvoiceNoteFileAsync(
"INV-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.invoices.deleteInvoiceNoteFile(
'INV-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Invoices().DeleteInvoiceNoteFile(context.Background(), "INV-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Deletes the attachment by its
uuid. A delete returns 204 with no body.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The invoice's id, such as INV-0001. Not its uuid.
The note's id, as the invoice's notes listing returns it.
The attachment's uuid, from the note's attachments.
Response
The file is deleted. The response has no body.